3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php try { print "try body\n"; throw new Exception("main"); } catch (Exception $e) { print "catch body\n"; throw $e; } finally { print "finally body\n"; var_dump($e); }
based on NL912
Output for 7.0.0 - 7.2.0
try body catch body finally body object(Exception)#1 (7) { ["message":protected]=> string(4) "main" ["string":"Exception":private]=> string(0) "" ["code":protected]=> int(0) ["file":protected]=> string(9) "/in/lBo8I" ["line":protected]=> int(5) ["trace":"Exception":private]=> array(0) { } ["previous":"Exception":private]=> NULL } Fatal error: Uncaught Exception: main in /in/lBo8I:5 Stack trace: #0 {main} thrown in /in/lBo8I on line 5
Process exited with code 255.
Output for 5.5.24 - 5.6.28
try body catch body finally body object(Exception)#1 (7) { ["message":protected]=> string(4) "main" ["string":"Exception":private]=> string(0) "" ["code":protected]=> int(0) ["file":protected]=> string(9) "/in/lBo8I" ["line":protected]=> int(5) ["trace":"Exception":private]=> array(0) { } ["previous":"Exception":private]=> NULL } Fatal error: Uncaught exception 'Exception' with message 'main' in /in/lBo8I:5 Stack trace: #0 {main} thrown in /in/lBo8I on line 5
Process exited with code 255.
Output for 5.3.19 - 5.4.45
Parse error: syntax error, unexpected '{' in /in/lBo8I on line 9
Process exited with code 255.